﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class EnablingHistory : System.Web.UI.Page
{
    private static String key = "s";

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            this.Panel1.Visible = true;
            this.Panel2.Visible = false;
        }
    }

    public void OnNavigateHistory(object sender, HistoryEventArgs e)
    {
        if (e.State[key] == null)
        {
            this.Panel1.Visible = true;
            this.Panel2.Visible = false;
        }
        else if (e.State[key] == "Panel2")
        {
            this.Panel1.Visible = false;
            this.Panel2.Visible = true;
        }
    }

    // On button click, handle the event and set a history point. 
    public void ButtonClick(object sender, EventArgs e)
    {
        this.Panel1.Visible = false;
        this.Panel2.Visible = true;

        ScriptManager.GetCurrent(this).AddHistoryPoint(key, "Panel2");
    }
}